Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 1473733008: [Autofill] Respect the autocomplete=off attribute. (Closed)

Created:
3 years, 9 months ago by sebsg
Modified:
3 years, 9 months ago
CC:
chromium-reviews, rouslan+autofill_chromium.org, browser-components-watch_chromium.org, jdonnelly+autofillwatch_chromium.org, bondd+autofillwatch_chromium.org, vabr+watchlistautofill_chromium.org, estade+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Autofill] Respect the autocomplete=off attribute on desktop for non credit card related fields and forms. BUG=468153 Committed: https://crrev.com/570de6587cd3a56da12d5b234e97ea1e31355f45 Cr-Commit-Position: refs/heads/master@{#363052}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Addressed comments #

Total comments: 8

Patch Set 3 : Added password test #

Patch Set 4 : Rebase #

Patch Set 5 : Fixed mac error #

Patch Set 6 : Fixed the fact that <select> always had should_autocomplete = false #

Patch Set 7 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+326 lines, -23 lines) Patch
M chrome/browser/password_manager/password_manager_browsertest.cc View 1 2 3 4 5 6 11 chunks +42 lines, -11 lines 0 comments Download
M chrome/renderer/autofill/form_autofill_browsertest.cc View 1 2 3 4 1 chunk +61 lines, -0 lines 0 comments Download
M chrome/test/data/password/password_autocomplete_off_test.html View 1 2 1 chunk +6 lines, -11 lines 0 comments Download
M components/autofill/core/browser/autofill_field.cc View 1 2 chunks +8 lines, -0 lines 0 comments Download
M components/autofill/core/browser/autofill_field_unittest.cc View 1 2 2 chunks +36 lines, -1 line 0 comments Download
M components/autofill/core/browser/autofill_manager.cc View 1 2 chunks +7 lines, -0 lines 0 comments Download
M components/autofill/core/browser/autofill_manager_unittest.cc View 1 2 3 chunks +152 lines, -0 lines 0 comments Download
M components/autofill/core/common/autofill_util.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M components/autofill/core/common/autofill_util.cc View 1 1 chunk +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebFormControlElement.cpp View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 59 (28 generated)
sebsg
Here is the small version. Thanks for reviewing!
3 years, 9 months ago (2015-11-26 20:03:13 UTC) #3
Mathieu
https://codereview.chromium.org/1473733008/diff/20001/components/autofill/core/browser/autofill_manager.cc File components/autofill/core/browser/autofill_manager.cc (right): https://codereview.chromium.org/1473733008/diff/20001/components/autofill/core/browser/autofill_manager.cc#newcode412 components/autofill/core/browser/autofill_manager.cc:412: // fields that have the autocomplete attribute set to ...
3 years, 9 months ago (2015-11-27 16:14:33 UTC) #4
sebsg
Thanks for your comments! https://codereview.chromium.org/1473733008/diff/20001/components/autofill/core/browser/autofill_manager.cc File components/autofill/core/browser/autofill_manager.cc (right): https://codereview.chromium.org/1473733008/diff/20001/components/autofill/core/browser/autofill_manager.cc#newcode412 components/autofill/core/browser/autofill_manager.cc:412: // fields that have the ...
3 years, 9 months ago (2015-11-27 19:26:21 UTC) #7
sebsg
Hi vabr, Could you please take a look at this CL? Thanks!
3 years, 9 months ago (2015-11-30 15:53:09 UTC) #10
vabr (Chromium)
Hi sebsg@, The CL LGTM with one request and the comments below: Could you please ...
3 years, 9 months ago (2015-11-30 16:26:09 UTC) #11
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/100001
3 years, 9 months ago (2015-12-01 16:36:48 UTC) #13
sebsg
Thanks for you comments! Here is the updated version. https://codereview.chromium.org/1473733008/diff/80001/chrome/renderer/autofill/form_autofill_browsertest.cc File chrome/renderer/autofill/form_autofill_browsertest.cc (right): https://codereview.chromium.org/1473733008/diff/80001/chrome/renderer/autofill/form_autofill_browsertest.cc#newcode2096 chrome/renderer/autofill/form_autofill_browsertest.cc:2096: ...
3 years, 9 months ago (2015-12-01 16:37:01 UTC) #14
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/101163) ios_rel_device_ninja on ...
3 years, 9 months ago (2015-12-01 16:38:40 UTC) #16
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/120001
3 years, 9 months ago (2015-12-01 19:09:00 UTC) #18
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_compile_dbg_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_compile_dbg_ng/builds/129993)
3 years, 9 months ago (2015-12-01 19:30:53 UTC) #20
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/140001
3 years, 9 months ago (2015-12-01 19:41:25 UTC) #22
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/95297) linux_chromium_chromeos_rel_ng on ...
3 years, 9 months ago (2015-12-01 20:51:48 UTC) #24
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/160001
3 years, 9 months ago (2015-12-02 15:46:58 UTC) #26
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/148744)
3 years, 9 months ago (2015-12-02 17:27:10 UTC) #28
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/160001
3 years, 9 months ago (2015-12-02 21:07:19 UTC) #30
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 9 months ago (2015-12-02 21:45:25 UTC) #32
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/180001
3 years, 9 months ago (2015-12-02 21:55:01 UTC) #35
sebsg
Hi pdr@, Could you please review the change in WebFormControlElement.cpp? Thanks a lot!
3 years, 9 months ago (2015-12-02 21:59:17 UTC) #37
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_x64_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/138637)
3 years, 9 months ago (2015-12-02 22:01:07 UTC) #39
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/180001
3 years, 9 months ago (2015-12-02 22:04:05 UTC) #41
pdr.
On 2015/12/02 at 21:59:17, sebsg wrote: > Hi pdr@, > > Could you please review ...
3 years, 9 months ago (2015-12-02 22:23:09 UTC) #42
pdr.
On 2015/12/02 at 22:23:09, pdr wrote: > On 2015/12/02 at 21:59:17, sebsg wrote: > > ...
3 years, 9 months ago (2015-12-02 22:33:34 UTC) #43
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win8_chromium_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win8_chromium_ng/builds/74414)
3 years, 9 months ago (2015-12-02 23:12:50 UTC) #45
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/200001
3 years, 9 months ago (2015-12-03 15:56:19 UTC) #47
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 9 months ago (2015-12-03 19:19:38 UTC) #49
sebsg
On 2015/12/02 22:33:34, pdr wrote: > On 2015/12/02 at 22:23:09, pdr wrote: > > On ...
3 years, 9 months ago (2015-12-03 20:21:47 UTC) #50
pdr.
On 2015/12/03 at 20:21:47, sebsg wrote: > On 2015/12/02 22:33:34, pdr wrote: > > On ...
3 years, 9 months ago (2015-12-03 20:29:30 UTC) #51
sebsg
On 2015/12/03 20:29:30, pdr wrote: > On 2015/12/03 at 20:21:47, sebsg wrote: > > On ...
3 years, 9 months ago (2015-12-03 20:43:14 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1473733008/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1473733008/200001
3 years, 9 months ago (2015-12-03 20:45:30 UTC) #55
commit-bot: I haz the power
Committed patchset #7 (id:200001)
3 years, 9 months ago (2015-12-03 20:54:13 UTC) #57
commit-bot: I haz the power
3 years, 9 months ago (2015-12-03 20:55:22 UTC) #59
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/570de6587cd3a56da12d5b234e97ea1e31355f45
Cr-Commit-Position: refs/heads/master@{#363052}

Powered by Google App Engine
This is Rietveld 408576698